# SPEC file for AdPlug-XMMS, primary target is the Fedora Extras
# RPM repository. Package name is adplug-xmms upstream. Fedora Extras
# count it as a subpackage to XMMS so it has been renamed xmms-adplug.

Name:		xmms-adplug
Version:	1.2
Release:	25%{?dist}
Summary:	An XMMS plugin for AdLib (OPL2) music built on AdPlug
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug/adplug-xmms-%{version}.tar.bz2
Patch0:		adplug-xmms-1.2-include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	LGPLv2+
BuildRequires:	adplug-devel
BuildRequires:  xmms-devel

%description
XMMS-AdPlug is an XMMS plug-in for AdLib (OPL2) music utilizing
the AdPlug library. (The upstream name of this package is AdPlug-XMMS.)

%prep
%setup -q -n adplug-xmms-%{version}
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# We don't want this.
rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/Input/libadplugxmms.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/xmms/Input/libadplugxmms.so
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jun 13 2016 Linus Walleij <triad@dflund.de> - 1.2-21
- Rebuilt to pick up the new library version

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2-18
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-12
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Linus Walleij <triad@df.lth.se> 1.2-7
- Patch and build for GCC 4.3.

* Sat Jan 19 2008 Linus Walleij <triad@df.lth.se> 1.2-6
- Rebuild for new glibc ABI.

* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 1.2-5
- Update license field from LGPL to LGPLv2+

* Wed Apr 11 2007 Linus Walleij <triad@df.lth.se> 1.2-4
- Rebuild to pick up dependency on latest adplug.

* Fri Sep 1 2006 Linus Walleij <triad@df.lth.se> 1.2-3
- Rebuild for Fedora Extras 6.

* Wed Jul 26 2006 Linus Walleij <triad@df.lth.se> 1.2-2
- Version bump to keep sync with upstream library revision.

* Sat May 6 2006 Linus Walleij <triad@df.lth.se> 1.2-1
- Upstream release new version.

* Wed Feb 1 2006 Linus Walleij <triad@df.lth.se> 1.1-5
- Unneeded BR and fixup CXXFLAGS.

* Wed Jan 25 2006 Linus Walleij <triad@df.lth.se> 1.1-4
- Package naming and so again at Warren Togamis request.

* Tue Jan 24 2006 Linus Walleij <triad@df.lth.se> 1.1-3
- Download address.

* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.1-2
- Package name should be names as subpackage to XMMS. (Ville)

* Thu Jan 19 2006 Linus Walleij <triad@df.lth.se> 1.1-1
- First try at an AdPlug-XMMS RPM.
